Package org.eclipse.birt.report.model.api.command

# Class PropertyNameException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.activity.SemanticException
org.eclipse.birt.report.model.api.command.PropertyNameException

All Implemented Interfaces:
  `Serializable`

public class PropertyNameException extends SemanticException
Exception thrown when a property name is invalid.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESIGN_EXCEPTION_MEMBER_NAME_INVALID`
The member name is not defined on a structure.
`static final String`
`DESIGN_EXCEPTION_PROPERTY_NAME_INVALID`
The property name is not defined on the element.
`protected String`
`name`
The property/member name that caused the error.
`protected IStructure`
`struct`
A structure object.

### Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`PropertyNameException(org.eclipse.birt.report.model.core.DesignElement obj, String propName)`
Constructor.
`PropertyNameException(org.eclipse.birt.report.model.core.DesignElement obj, IStructure struct, String memberName)`
Constructs a exception given a structure and its element and the invalid member name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedMessage()`
`String`
`getMemberName()`
Return the invalid member name.
`String`
`getPropertyName()`
Returns the invalid property name.

### Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`getElement, getElementName, getMessage`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

protected String name
The property/member name that caused the error.

### struct

protected IStructure struct
A structure object.

### DESIGN_EXCEPTION_PROPERTY_NAME_INVALID

public static final String DESIGN_EXCEPTION_PROPERTY_NAME_INVALID
The property name is not defined on the element.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_MEMBER_NAME_INVALID

public static final String DESIGN_EXCEPTION_MEMBER_NAME_INVALID
The member name is not defined on a structure.

See Also:
  - Constant Field Values

## Constructor Details

### PropertyNameException

public PropertyNameException(org.eclipse.birt.report.model.core.DesignElement obj, String propName)
Constructor.

Parameters:
  `obj` - the element that has the property.
  `propName` - the property name that caused the error

### PropertyNameException

public PropertyNameException(org.eclipse.birt.report.model.core.DesignElement obj, IStructure struct, String memberName)
Constructs a exception given a structure and its element and the invalid member name.

Parameters:
  `obj` - the element that has the structure.
  `struct` - the structure that doesn't contain the member.
  `memberName` - the member name that caused the exception.

## Method Details

### getPropertyName

public String getPropertyName()
Returns the invalid property name.

Returns:
  the invalid property name.

### getMemberName

public String getMemberName()
Return the invalid member name.

Returns:
  the invalid member name.

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `SemanticException`